spring.application.name=inventory-service
logging.file=inventory-service.log
server.port=8282
spring.cloud.config.uri=http://localhost:8888
eureka.client.service-url.defaultZone=http://localhost:8761/eureka/

#Metrics related configurations
management.endpoint.metrics.enabled=true
management.endpoints.web.exposure.include=*
management.endpoint.shutdown.enabled=true
management.endpoint.prometheus.enabled=true
management.metrics.export.prometheus.enabled=true

# Tell Spring Security (if used) to require requests over HTTPS
security.require-ssl=true
# The format used for the keystore 
server.ssl.key-store-type=PKCS12
# The path to the keystore containing the certificate
server.ssl.key-store=keystore.jks
# The password used to generate the certificate
server.ssl.key-store-password=Mango@123
# The alias mapped to the certificate
server.ssl.key-alias=LOCALHOST_CERT

#trust store location
trust.store=keystore.jks
#trust store password
trust.store.password=Mango@123

spring.zipkin.base-url=http://localhost:9411/
spring.sleuth.sampler.probability=1
